Bug 22527 - Remove Windows Cairo Build Dependencies on Non-Redistributable Libraries
Summary: Remove Windows Cairo Build Dependencies on Non-Redistributable Libraries
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-26 22:22 PST by Brent Fulgham
Modified: 2008-11-29 15:46 PST (History)
0 users

See Also:


Attachments
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link (5.31 KB, patch)
2008-11-26 22:33 PST, Brent Fulgham
ap: review+
Details | Formatted Diff | Diff
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link (22.67 KB, patch)
2008-11-27 13:46 PST, Brent Fulgham
ap: review+
Details | Formatted Diff | Diff
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link (22.80 KB, patch)
2008-11-29 12:02 PST, Brent Fulgham
ap: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2008-11-26 22:22:55 PST
The current Windows Cairo build depends on several proprietary Apple libraries.  This patch removes these libraries from the link commands for the Debug_Cairo and Release_Cairo targets.

The patch assumes that the user has placed the necessary replacement libraries in the appropriate directories in the WebKit build environment.

Interested parties can obtain a full set of dependencies (Cairo, cURL, and CFLite) from http://idisk.mac.com/bfulgham-Public/requirements.zip
Comment 1 Brent Fulgham 2008-11-26 22:33:41 PST
Created attachment 25553 [details]
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link

Patch to Visual Studio project so that the Cairo build does not link against CoreFoundation.dll, CoreGraphics.dll, CFnetwork.dll, or the QuickTime dll.
Comment 2 Alexey Proskuryakov 2008-11-27 12:23:59 PST
Comment on attachment 25553 [details]
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link

r=me, but I think that some include paths could be also removed from both WebKit.vcproj and WebCore.vcproj for consistency.
Comment 3 Brent Fulgham 2008-11-27 12:54:38 PST
I'm generating a new patch which removes the QuickTime header path.  The remaining CF stuff is still used, as I am now using CFLite, and may (soon) be using CFNetwork APSL version.
Comment 4 Brent Fulgham 2008-11-27 13:46:27 PST
Created attachment 25560 [details]
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link	

Revised to do the following:
1.  Removes non-redistributable include paths (generaly, just QuickTime) from the WebCore project.  No longer attempts to build the QuickTime video handling objects.
2.  No longer builds the QuickTime library for Cairo_Release/Cairo_Debug
3.  Removes linking commands for non-redistributable libraries from WebKit.dll
Comment 5 Brent Fulgham 2008-11-27 22:04:28 PST
(In reply to comment #4)
Completed build of regular Windows (CG) and confirmed this change does not prevent normal function of features in standard Windows build.
Comment 6 Alexey Proskuryakov 2008-11-29 11:56:18 PST
Comment on attachment 25560 [details]
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link	

r=me, but please add WebKit.sln to ChangeLog.
Comment 7 Brent Fulgham 2008-11-29 12:02:35 PST
Created attachment 25598 [details]
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link	

Include WebKit.sln change in the ChangeLog
Comment 8 Alexey Proskuryakov 2008-11-29 12:03:44 PST
Comment on attachment 25598 [details]
Remove CFNetwork, CoreFoundation, CoreGraphics, and Quicktime link	

r=me
Comment 9 Matt Lilek 2008-11-29 15:46:29 PST
Committed revision 38847.